# Post Tempest Run Cleanup Utility

Utility for cleaning up environment after Tempest test run

Usage: `tempest cleanup [--help] [OPTIONS]`

If run with no arguments, `tempest cleanup` will query your OpenStack deployment and build a list of resources to delete and destroy them. This list will exclude the resources from `saved_state.json` and will include the configured admin account if the `--delete-tempest-conf-objects` flag is specified. By default the admin project is not deleted and the admin user specified in `tempest.conf` is never deleted.

## Example Run

Warning

If step 1 is skipped in the example below, the cleanup procedure may delete resources that existed in the cloud before the test run. This may cause an unwanted destruction of cloud resources, so use caution with this command.

Examples:

    $ tempest cleanup --init-saved-state
    $ # Actual running of Tempest tests
    $ tempest cleanup

## Runtime Arguments

- `--init-saved-state`: Initializes the saved state of the OpenStack deployment and will output a `saved_state.json` file containing resources from your deployment that will be preserved from the cleanup command. This should be done prior to running Tempest tests.

- `--delete-tempest-conf-objects`: If option is present, then the command will delete the admin project in addition to the resources associated with them on clean up. If option is not present, the command will delete the resources associated with the Tempest and alternate Tempest users and projects but will not delete the projects themselves.

- `--dry-run`: Creates a report (`./dry_run.json`) of the projects that will be cleaned up (in the `_projects_to_clean` dictionary 1) and the global objects that will be removed (domains, flavors, images, roles, projects, and users). Once the cleanup command is executed (e.g. run without parameters), running it again with `--dry-run` should yield an empty report.

- `--help`: Print the help text for the command and parameters.

1

  The `_projects_to_clean` dictionary in `dry_run.json` lists the projects that `tempest cleanup` will loop through to delete child objects, but the command will, by default, not delete the projects themselves. This may differ from the `projects` list as you can clean the Tempest and alternate Tempest users and projects but they will not be deleted unless the `--delete-tempest-conf-objects` flag is used to force their deletion.

Note

If during execution of `tempest cleanup` NotImplemented exception occurres, `tempest cleanup` won’t fail on that, it will be logged only. NotImplemented errors are ignored because they are an outcome of some extensions being disabled and `tempest cleanup` is not checking their availability as it tries to clean up as much as possible without any complicated logic.

this page last updated: 2022-01-10 15:51:28

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug